Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class IORHelper

    java.lang.Object
      org.omg.IOP.IORHelper

    public abstract class IORHelper

extends Object

org/omg/IOP/IORHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Wednesday, August 11, 2004 5:04:04 AM GMT-08:00

Constructor Summary
`IORHelper()`

Method Summary
`static IOR` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, IOR that)`
`static IOR` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, IOR value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IORHelper

    public IORHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IOR that)

### extract

    public static IOR extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static IOR read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             IOR value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.